<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2010 osCommerce

  Released under the GNU General Public License
*/

require('includes/application_top.php');
require('includes/languages/' . $language . '/honeypot.php');
require('includes/functions/honeypot.php');

if (isset($_POST['action']) && $_POST['action'] == 'process') {
 
   if (isset($_POST['delete_ttl_items']) && $_POST['delete_ttl_items'] > 0) {
 
       foreach ($_POST as $key => $data) { 
           if ($data == 'on') {
               $parts = explode('_', $key);
               $customers_id = $parts[1];
               DeleteCustomer($customers_id);
           }
       } 
       $messageStack->add_session(TEXT_SUCCESS_DELETED,'success');       
       tep_redirect(tep_href_link('honeypot_account_check.php'));
   }    
} 
 
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<style>
.button-submit {float:right;}
</style>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/general.js"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onload="SetFocus();">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>

    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
<?php

$result = tep_db_query("SELECT count(*) as total from customers");
$data = tep_db_fetch_array($result); 
$idx = 0;
$state_country = '';

echo '<h2>' . sprintf(TEXT_MSG_CUSTOMERS, $data['total']) . '</h2>
     <h4>' . TEXT_MSG_QUESTIONABLE . '</h4>' .
     TEXT_EXPLAIN_COLORS . '
     <br/><br/>' . TEXT_MSG_CHECK_EACH . '
     <span style="margin-left:25px;font-size:12px;color:red;">' . TEXT_MSG_PRO_REQUIRED . '</span> 
     <br/><br/>';

echo '<table border="1" cellpadding="4">
<tr>
<th style="background:#ABEBC6;">' . TEXT_ID . '</th>
<th style="background:#AED6F1;">' . TEXT_DATE_HP . '</</th>
<th style="background:#AED6F1;">' . TEXT_NAME_FIRST . '</</th>
<th style="background:#AED6F1;">' . TEXT_NAME_LAST . '</</th>
<th style="background:#AED6F1;">' . TEXT_STATE_COUNTRY . '</</th>
<th style="background:#AED6F1;">' . TEXT_POST_CODE . '</</th>
<th style="background:#AED6F1;">' . TEXT_HAS_ORDERS . '</</th>
<th style="background:#FFCCCC;"><input type="checkbox" onClick="toggle(this)" />' . TEXT_DELETE_THIS_ENTRY . '</th>
</tr>';
 
$idx = 0;
$state_country = '';
$result = tep_db_query("SELECT c.customers_id, c.customers_firstname, c.customers_lastname, ab.entry_postcode, ab.entry_zone_id, ab.entry_country_id from customers c left join address_book ab on c.customers_id = ab.customers_id ORDER BY c.customers_id DESC");

echo tep_draw_form('honeypot_account_check', 'honeypot_account_check.php', '', 'post') . tep_hide_session_id() . tep_draw_hidden_field('action', 'process'); 
     
while($row = tep_db_fetch_array($result)){

    $first = trim($row['customers_firstname']);
    $last = trim($row['customers_lastname']); 

    $var1 = $last;
    $var2 = str_replace(" ", "_", strtolower($first));    
    $var3 = $first;
    $var4 = str_replace(" ", "_", strtolower($last));
 
    $state_country = GetStateCountry($row['entry_zone_id'], $row['entry_country_id']);
    $color_state = (CheckCountryState($row['entry_zone_id'], $row['entry_country_id']) ? 'white' : '#ABEBC6');
    $color_post = (CheckPostalCode($row['entry_postcode'], $row['entry_country_id']) ? 'white' : '#ABEBC6');
    
    if (stripos($var1, $var2) !== false || stripos($var3, $var4) !== false) {
         

        echo "<tr>";
        echo '<td style="text-align:center;background:#ABEBC6;">
        <a href="customers.php?page=1&cID=' . $row['customers_id'] . '&action=edit">' . $row['customers_id'] . '</a></td>';
        echo '<td style="text-align:center;background:#AED6F1;">PVR</td>';
	
        echo '<td style="text-align:center;background:#AED6F1;">' . $row['customers_firstname'] . "</td>";
        echo '<td style="text-align:center;background:#AED6F1;">' . $row['customers_lastname'] . "</td>";
        echo '<td style="text-align:center;background:' . $color_state . ';">' . $state_country . "</td>";
        echo '<td style="text-align:center;background:' . $color_post . ';">' . $row['entry_postcode'] . "</td>";
        echo '<td style="text-align:center;background:#AED6F1;">PVR</td>';
        echo '<td style="text-align:center;background:#FFCCCC;"><input type="checkbox" name="delete_'. $row['customers_id'] . '" id="delete_'. $idx . '"></td>';
        echo "</tr>";
        $idx++;
    }
     
} // END WHILE DATA CYCLING

echo "</table>";

if ($idx) {
    echo '<table border="0" cellpadding="4">';
    echo '<tr>
          <td class="button-submit"><button type="submit" name="form_action" value="delete">' . TEXT_BUTTON_SUBMIT . '</button></td>
         </tr>';   
    echo tep_draw_hidden_field('delete_ttl_items', $idx, 'id="delete_ttl_items"');
    echo '</form>'; 
    echo "</table>";
}

/* END THE DISPLAY */
?>
<script>
function toggle(source) {   
  $ttl_checkboxes = $("#delete_ttl_items").val();
  for(var i=0, n=$ttl_checkboxes;i<n;i++) {
    if (document.getElementById('delete_'+i).checked) {
       $("#delete_"+i).prop('checked', false);
    } else {
       $("#delete_"+i).prop('checked', true);
    }
  }
}
</script>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
 