<?php
if ( defined('MODULE_HEADER_TAGS_HONEYPOT_STATUS') && MODULE_HEADER_TAGS_HONEYPOT_STATUS == 'True') {  
 
    if ($error == false) {
      
        if (defined('MODULE_HEADER_TAGS_HONEYPOT_CREATE_ACCOUNT_CHECK') && MODULE_HEADER_TAGS_HONEYPOT_CREATE_ACCOUNT_CHECK == 'True') {
            require('includes/languages/' . $language . '/honeypot.php'); 
            require('includes/functions/honeypot.php');
      
            $all_fields = array('firstname' => $firstname, 
                                'lastname' => $lastname, 
                                'dob' => (isset($dob) ? $dob : ''),
                                'company' => (isset($company) ? $company : ''),
                                'street_address' => $street_address, 
                                'suburb' => (isset($suburb) ? $suburb : ''), 
                                'postcode' => $postcode,
                                'city' => $city, 
                                'state' => $state, 
                                'country' => $country, 
                                'telephone' => $telephone, 
                                'fax' => $fax,
                                'honeypot' => $_POST['hp_coupon_code']);
         
            $this_error = CheckCreateAccountHP($all_fields);
            if ($this_error) {
                $messageStack->add('create_account', TEXT_CREATE_ACCOUNT_FAILED);         
                $error = true;
            } 
        }
    } 
}