<?php
require('includes/application_top.php');

// place the font file in the same dir level as the php file
//$font = 'verdana.ttf';
$font = realpath('verdana.ttf');

if (MODULE_HEADER_TAGS_HONEYPOT_CAPTCHA == 'Image') {
    $width = '130';
    $height = '30';
    $characters = '6';
    
    /* list all possible characters, similar looking characters and vowels have been removed */
    $possible = '23456789bcdfghjkmnpqrstvwxyz';
    $code = '';
    $i = 0;
    while ($i < $characters) { 
        $code .= substr($possible, mt_rand(0, strlen($possible)-1), 1);
        $i++;
    }
    
    if (isset($_SESSION['security_question'])) {
        unset($_SESSION['security_question']);
    }
    
    $security_question = $code;
    $_SESSION['security_question'] = $security_question;       
    
    /* font size will be 75% of the image height */
    $font_size = $height * 0.75;
    $image = @imagecreate($width, $height) or die('Cannot initialize new GD image stream');
    /* set the colours */
    $background_color = imagecolorallocate($image, 255, 255, 255);
    $text_color = imagecolorallocate($image, 20, 40, 100);
    $noise_color = imagecolorallocate($image, 100, 120, 180);
    /* generate random dots in background */
    for( $i=0; $i<($width*$height)/3; ++$i) {
        imagefilledellipse($image, mt_rand(0,$width), mt_rand(0,$height), 1, 1, $noise_color);
    }
    /* generate random lines in background */
    for( $i=0; $i<($width*$height)/150; ++$i ) {
        imageline($image, mt_rand(0,$width), mt_rand(0,$height), mt_rand(0,$width), mt_rand(0,$height), $noise_color);
    }
    /* create textbox and add text */
    $textbox = imagettfbbox($font_size, 0, $font, $code) or die('Error in imagettfbbox function');
    $x = ($width - $textbox[4])/3;
    $y = ($height - $textbox[5])/2;
    imagettftext($image, $font_size, 0, $x, $y, $text_color, $font , $code) or die('Error in imagettftext function');
    /* output captcha image to browser */
    header('Content-Type: image/jpeg');
    imagejpeg($image);
    imagedestroy($image); 
} else { 
    // value 1
    $numOne = rand(1, 9);

    // value2
    $numTwo = rand(1, 9);

    // total
    $numero = $numOne + $numTwo;

    // math string
    $display = $numOne . '+' . $numTwo . ' =';

    // set session variable to total
    if (isset($_SESSION['security_question'])) {
        unset($_SESSION['security_question']);
    }
    $security_question = $numero;
    $_SESSION['security_question'] = $security_question;    
 
    // set image size (pixels)
    // imagecreate( [width], [height] )
    $img = imagecreate( 75, 38 );

    // choose a bg color, you can play with the rgb values
    // imagecolorallocate( [image], [red], [green], [blue] )
    $background = imagecolorallocate( $img, 255, 255, 255 );

    //chooses the text color
    // imagecolorallocate( [image], [red], [green], [blue] )
    $text_color = imagecolorallocate( $img, 33, 37, 41 );

    //pulls the value passed in the URL
    $text = $display;

    //this function sets the font size, places to the co-ords
    // imagettftext( [image], [size], [angle], [x], [y], [color], [fontfile], [text] )
    imagettftext($img, 12, 0, 0, 26, $text_color, $font, $text);

    //alerts the browser abt the type of content i.e. png image
    header( 'Content-type: image/png' );
    //now creates the image
    imagepng( $img );

    //destroys used resources
    imagecolordeallocate( $img, $text_color );
    imagecolordeallocate( $img, $background );
    imagedestroy( $img );
} 