<?php
/*
  $Id: header_tags_seo_silo.php,v 3.0 2009/10/10 14:07:36 hpdl Exp $
  Created by Jack_mcs from http://www.oscommerce-solution.com
  
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce
  Portions Copyright 2009 oscommerce-solution.com

  Released under the GNU General Public License
*/

define('HEADING_TITLE', 'Honey Pot Account Checker');
define('HEADING_TITLE_MAINTENANCE', 'Honey Pot Maintenance');
define('HEADING_TITLE_VERSION', 'V 1.13 ( %s )');

define('TEXT_ACCOUNTS_SUSPECTED', 'There are a total of <span style="color:red; font-weight:bold;">%d</span> Customers in your database.');
define('TEXT_ACCOUNTS_TOTAL', 'Of those, the following <span style="color:red; font-weight:bold;">%d</span> are questionable.');
define('TEXT_ACCOUNTS_CHECK_FIRST', '<span style="color:red; font-weight:bold;">CHECK EACH</span> before you delete them. They cannot be recovered!!');

define('TEXT_BANNED_LOG_REMOVE', 'Removed block');
define('TEXT_BUTTON_SUBMIT_BLOCK', 'Block');
define('TEXT_BUTTON_SUBMIT_HP', 'Submit');
define('TEXT_ID', 'ID');
define('TEXT_DATE_HP', 'Created On');
define('TEXT_HAS_ORDERS', 'Has Orders');
define('TEXT_HAS_ORDERS_NO', 'No');
define('TEXT_HAS_ORDERS_YES', 'Yes (%d)');
define('TEXT_LOG_VIEWER', 'LOG ENTRIES');
define('TEXT_NAME_FIRST', 'First Name');
define('TEXT_NAME_LAST', 'Last Name');
define('TEXT_POST_CODE', 'Post Code');
define('TEXT_STATE_COUNTRY', 'State-Country');
define('TEXT_TELEPHONE', 'Phone');
define('TEXT_DELETE_THIS_ENTRY', 'Unblock');
define('TEXT_STATE_COUNTRY_MISMATCH', 'Invalid');

define('TEXT_CLEAR_LOG_FILE', 'Clear Log');
define('TEXT_SHOW_ALL', 'Show All');
define('TEXT_SHOW_MONTH', 'Current Month');

define('TEXT_SORT_BY_DATE_HP', 'Date');
define('TEXT_SORT_BY_IP_HP', 'IP');

define('TEXT_STATUS_CHECK', 'Check Status');

define('TEXT_EXPLAIN_COLORS', 'These customers are questionable BECAUSE
<ul>
<li>Their First Name contains the same order of letters as in their Last Name or vice versa.</li>
<li>The postal code is not a legal format or is blank.</li>
<li>The Country and State are not related.</li>
</ul>
');

define('TEXT_EXPLAIN_MAINTENANCE', '<p>To delete an IP from the tracking code, enter the IP in the delete box and click the 
submit button beside it. If the IP is in the Honey Pot tracking table, it will be removed.</p>

<p>To clear the log, click on the clear button.</p>

<p>To control the sorting, click on the various buttons and click the submit button in that group.</p>
');
 
define('TEXT_MSG_CUSTOMERS', 'There are a total of <font color=red><b>%s</font> Customers in your database</b></font>'); 
define('TEXT_MSG_QUESTIONABLE', 'Of those these Customers are questionable');
define('TEXT_MSG_CHECK_EACH', '<B><font color=red>CHECK EACH</font></b> before you delete them!!');
define('TEXT_MSG_PRO_REQUIRED', ' ( PVR = Pro Version Required )'); 
 
define('TEXT_FAILED_DELETED', 'The entered IP was not found in the blocking table.');
define('TEXT_FAILED_DELETED_LOG', 'The log file could not be cleared.');
define('TEXT_FAILED_INVALID_IP', 'The entered IP is not valid.');
define('TEXT_FAILED_IP_BLOCK_FAILED', 'The IP %s was not blocked.');
define('TEXT_FAILED_IP_IS_NOT_BLOCKED', 'The IP %s is not being blocked.');
define('TEXT_FAILED_REQUIRES_PRO_VERSION', 'THIS OPTION REQUIRES THE PRO VERSION OF HONEY POT AND VIEW COUNTER.');

define('TEXT_SUCCESS_DELETED', 'The customers have been deleted.');
define('TEXT_SUCCESS_DELETED_LOG', 'The log file has been cleared.');
define('TEXT_SUCCESS_IP_BLOCKED', 'The IP %s has been blocked.');
define('TEXT_SUCCESS_IP_IS_BLOCKED', 'The IP %s is being blocked.');
 
define('SORT_ID_BY_DATE', 0);
define('SORT_ID_BY_IP', 1);
define('SORT_ID_BY_MONTH', 2);
define('SORT_ID_BY_ALL', 3);