<?php
require('includes/application_top.php');

$db_query = tep_db_query("select configuration_group_id from configuration_group where configuration_group_title = 'Honey Pot'");
if (tep_db_num_rows($db_query)) {
  echo 'Database changes already made.<br>...existing<br>';
  exit;
}

$db_check_query = tep_db_query("select max(configuration_group_id) as id from configuration_group ");
$max = tep_db_fetch_array($db_check_query);
$cfg_group_id = $max['id'] + 1;
tep_db_query("INSERT INTO `configuration_group` (`configuration_group_id`, `configuration_group_title`, `configuration_group_description`, `sort_order`, `visible`) VALUES ('" . $cfg_group_id . "', 'Honey Pot', 'Settings for Honey Pot', '" . $cfg_group_id . "', '1')");

tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Enable Honey Pot', 'MODULE_HEADER_TAGS_HONEYPOT_STATUS', 'True', '<center><b><h2>Honey Pot</h2><i>Developed by:</i><br><a href=\"\/\/oscommerce-solution.com\//check_unreleased_updates.php?id=3.3.4&name=HoneyPot\" target=\"_blank\">Oscommerce Solution</a></b></center><br>Do you want to enable the Honey Pot module?<br>', '" . $cfg_group_id . "', '1', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Pages', 'MODULE_HEADER_TAGS_HONEYPOT_PAGES', 'contact_us.php;create_account.php;tell_a_friend.php', 'The pages to add the Honey Pot scripts to.', '" . $cfg_group_id . "', '10', now())");
tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort Order', 'MODULE_HEADER_TAGS_HONEYPOT_SORT_ORDER', '0', 'Sort order of display. Lowest is displayed first.', '" . $cfg_group_id . "', '20', now())");
tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Email Addresses Allowed', 'MODULE_HEADER_TAGS_HONEYPOT_ALLOW_EMAIL', 'True', 'Do you want to allow email addresses to be sent via the contact us form?', '" . $cfg_group_id . "', '30', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Email Addresses Show Message', 'MODULE_HEADER_TAGS_HONEYPOT_ALLOW_EMAIL_MSG', 'True', 'Do you want to show a message stating email addresses are not allowed? This is only checked if the Allow Email option is enabled.', '" . $cfg_group_id . "', '40', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('URL\'s Allowed', 'MODULE_HEADER_TAGS_HONEYPOT_ALLOW_URLS', 'True', 'Do you want to allow url\'s to be sent via the contact us form?', '" . $cfg_group_id . "', '50', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('URL Show Message', 'MODULE_HEADER_TAGS_HONEYPOT_ALLOW_URLS_MSG', 'True', 'Do you want to show a message stating url\'s are not allowed? This is only checked if the Allow Url option is enabled.', '" . $cfg_group_id . "', '60', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");

tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Create Account Check', 'MODULE_HEADER_TAGS_HONEYPOT_CREATE_ACCOUNT_CHECK', 'False', 'Should the create account page be monitored for violations. If disabled, none of the create account options will work.', '" . $cfg_group_id . "', '70', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Create Account Count', 'MODULE_HEADER_TAGS_HONEYPOT_CREATE_ACCOUNT_CHECK_COUNT', '2', 'The number of accounts a customer can create. Set to a very high number to disable.', '" . $cfg_group_id . "', '80', now())");
tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Create Account Period', 'MODULE_HEADER_TAGS_HONEYPOT_CREATE_ACCOUNT_CHECK_PERIOD', '10', 'The number of minutes between create accounts that will cause a failure.', '" . $cfg_group_id . "', '90', now())");
tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Block Names with Numbers', 'MODULE_HEADER_TAGS_HONEYPOT_BLOCK_NUMBERS_IN_NAME', 'True', 'Do you want to block any account that has numbes in the first or last name?', '" . $cfg_group_id . "', '100', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");     
tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Block Phone with Letters', 'MODULE_HEADER_TAGS_HONEYPOT_BLOCK_LETTERS_IN_PHONE', 'True', 'Do you want to block any account that has letters in the phone or fax entries?', '" . $cfg_group_id . "', '110', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");     
tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Name Length - First', 'MODULE_HEADER_TAGS_HONEYPOT_CREATE_ACCOUNT_NAME_LENGTH_FIRST', '2', 'The number of parts of the first name for new accounts. Leave blank to skip this check.', '" . $cfg_group_id . "', '120', now())");
tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Name Length - Last', 'MODULE_HEADER_TAGS_HONEYPOT_CREATE_ACCOUNT_NAME_LENGTH_LAST', '1', 'The number of parts of the last name for new accounts. Leave blank to skip this check.', '" . $cfg_group_id . "', '130', now())");

tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Verify Domain Referer Match', 'MODULE_HEADER_TAGS_HONEYPOT_VERIFY_REFERER_MATCH', 'True', 'Fails if the domain referer does not match the shop\'s domain name or is empty.', '" . $cfg_group_id . "', '140', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");     
tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Verify Postal Code', 'MODULE_HEADER_TAGS_HONEYPOT_VERIFY_POSTAL_CODE', 'Ignore', 'Allow post codes if they contain at least one number (all post codes do), if they are blank (some countries do not use them), both or ignore this check?', '" . $cfg_group_id . "', '150', 'tep_cfg_select_option(array(\'Numbers\', \'Blank\', \'Both\', \'Ignore\'), ', now())");     
tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Verify State and Country match', 'MODULE_HEADER_TAGS_HONEYPOT_VERIFY_STATE_COUNTRY_MATCH', 'False', 'Do you want to block any account where the state does not exist for the selected country?', '" . $cfg_group_id . "', '160', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");     
tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Verify Time to Submit', 'MODULE_HEADER_TAGS_HONEYPOT_VERIFY_TIME_TO_SUBMIT', '', 'If the form is submitted in less time than entered in this setting (in secods), then consider this a spammer.', '" . $cfg_group_id . "', '170', now())");

tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Show Captcha', 'MODULE_HEADER_TAGS_HONEYPOT_CAPTCHA', 'None', 'Do you want to display a security challenge on the page?', '" . $cfg_group_id . "', '180', 'tep_cfg_select_option(array(\'Numbers\', \'Image\', \'None\'), ', now())");
tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Use IP List', 'MODULE_HEADER_TAGS_HONEYPOT_USE_IPLIST', 'IPList', 'Do you want to use a list of IP\'s to prevent access? The IP list is created via a cron job so that will have to be set up.', '" . $cfg_group_id . "', '190', 'tep_cfg_select_option(array(\'IPList\', \'Tor\', \'Both\', \'None\'), ', now())");

tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Block IP Automatically', 'MODULE_HEADER_TAGS_HONEYPOT_BLOCK_IP_AUTOMATICALLY', '', 'Automatically block the IP after it has reached this many tries. Leave blank to not block the IP.', '" . $cfg_group_id . "', '200', now())");

tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Bad Words', 'MODULE_HEADER_TAGS_HONEYPOT_BAD_WORDS', '', 'Enter a comma separated list of words that are not allowed.', '" . $cfg_group_id . "', '210', 'tep_cfg_textarea(', now())");
tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Exclude IP\'s', 'MODULE_HEADER_TAGS_HONEYPOT_EXCLUDE_IPS', '', 'A comma-separated list of IP\'s that are not blocked by the create account checks.', '" . $cfg_group_id . "', '220', now())");      
tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Log Tracker', 'MODULE_HEADER_TAGS_HONEYPOT_LOG', 'None', 'Do you want to see all activity Honey Pot monitors? You can save to a file, receive an email or both. The file is named HoneyPot_log and is in the shops includes directory.', '" . $cfg_group_id . "', '230', 'tep_cfg_select_option(array(\'File\', \'EMail\', \'Both\', \'None\'), ', now())");     

echo 'Database Changes Completed!';