<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2010 osCommerce

  Released under the GNU General Public License
*/

require('includes/application_top.php');
require('includes/languages/' . $language . '/honeypot.php');
require('includes/functions/honeypot.php');

$which_selected = array(SORT_ID_BY_DATE => 'checked=checked', SORT_ID_BY_IP => '', SORT_ID_BY_MONTH => 'checked=checked', SORT_ID_BY_ALL => '');
if (isset($_POST['action']) && $_POST['action'] == 'process') {
 
   if (isset($_POST['delete_ip']) && tep_not_null($_POST['delete_ip'])) { 
       $db_query = tep_db_query("select 1 from honeypot_track where ip_number = INET_ATON( '" . tep_db_input($_POST['delete_ip']) . "' ) ");
       if (tep_db_num_rows($db_query)) {
           tep_db_query("delete from honeypot_track where ip_number = INET_ATON( '" . tep_db_input($_POST['delete_ip']) . "' ) ");
           $messageStack->add_session(TEXT_SUCCESS_DELETED,'success');       
       } else {
           $messageStack->add_session(TEXT_FAILED_DELETED,'error');               
       } 
       RemoveFromHtAccess($_POST['delete_ip']);
       tep_redirect(tep_href_link('honeypot_maintenance.php'));
   }    
   
   elseif (isset($_POST['clear_log']) && $_POST['clear_log'] == 'clear') { 
       $filename = DIR_FS_CATALOG . 'includes/HoneyPot_log';
       if (file_exists($filename)) {   
           if (unlink($filename)) {
               $messageStack->add_session(TEXT_SUCCESS_DELETED_LOG,'success');
           } else {
               $messageStack->add_session(TEXT_FAILED_DELETED_LOG,'error');
           }            
       }
       tep_redirect(tep_href_link('honeypot_maintenance.php'));
   }
   
   elseif (isset($_POST['status_ip']) && tep_not_null($_POST['status_ip'])) { 
       $messageStack->add_session(TEXT_FAILED_REQUIRES_PRO_VERSION,'error');
       tep_redirect(tep_href_link('honeypot_maintenance.php'));
   }
} 
require('includes/template_top.php');
?>
<style>
.button-clear {width:100px;vertical-align:top;padding:0px 0px;}
.button-show {float:right;padding-left:10px;}
.button-submit {float:right;margin-left:10px;}
.table-clear {vertical-align:bottom;width:150px;margin-bottom:4px;border:0px solid lightgray;}
.table-cntrl {border-color:gray;border-style:solid;border-width:0px 1px 1px 1px;width:100%;}
.table-status {vertical-align:bottom; width:300px; border:1px solid lightgray;}
.table-show {float:right;vertical-align:bottom; border:1px solid lightgray;}
.text-explain {border:1px solid #DEDF8;background-color:#DEEDF8;font-size:12px;}
.text-explain {border:1px solid #DEfDF8;background-color:#DEEDF8;font-size:12px;}
</style>

<?php $version = '<span class="h4" style="color:red;">' . (function_exists('HasOrders') ? 'pro version' : 'free version') . '</span>'; ?>
<tr>
  <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
    <tr>
      <td class="display-4 pb-2"><?php echo HEADING_TITLE_MAINTENANCE . sprintf(HEADING_TITLE_VERSION, $version); ?></td>
    </tr>
    <tr><td class="text-explain"><?php echo TEXT_EXPLAIN_MAINTENANCE; ?></td></tr>    
  </table></td>
</tr>

<?php
echo '<tr><td valign"top" width="100%"><table class="table-cntrl" cellpadding="0" cellspacing="0">';

 echo '<tr><td width="100%"><table width="100%" border="0">';
 echo '<tr>';
 if (defined("VIEW_COUNTER_ENABLED")) {
 echo tep_draw_form('honeypot_maintenance', 'honeypot_maintenance.php', '', 'post') . tep_hide_session_id() . tep_draw_hidden_field('action', 'process') . '
         <td class="table-status"><table border="0"><tr>
         <td style="">' . TEXT_STATUS_CHECK . '</td>&nbsp;&nbsp;
         <td>' . tep_draw_input_field('status_ip', '', 'maxlength="255"', false) . '</td>
         <td class="button_submit"><button type="submit" name="form_action" value="update">' . TEXT_BUTTON_SUBMIT_HP . '</button></td>
         </tr></table></td>
        </form>';
 }
 echo tep_draw_form('honeypot_maintenance', 'honeypot_maintenance.php', '', 'post') . tep_hide_session_id() . tep_draw_hidden_field('action', 'process') . '
       <td class="table-status"><table border="0"><tr>
        <td style="">' . TEXT_DELETE_THIS_ENTRY . '</td>&nbsp;&nbsp;
        <td>' . tep_draw_input_field('delete_ip', '', 'maxlength="255"', false) . '</td>
        <td class="button_submit"><button type="submit" name="form_action" value="update">' . TEXT_BUTTON_SUBMIT_HP . '</button></td>
        </tr></table></td>        
        </form>
     </tr></table></td></tr>';

echo '<tr><td width="100%" colspan="3"><table width="100%" border="0"><tr>';
echo tep_draw_form('honeypot_clear', 'honeypot_maintenance.php', '', 'post') . tep_hide_session_id() . tep_draw_hidden_field('action', 'process') . '
  <td class="table-clear"><table border="0" width="100%"><tr>
 <td class="button-clear" >' . TEXT_CLEAR_LOG_FILE . '</td><td><iNPUT TYPE="radio" NAME="clear_log" VALUE="clear" onChange="this.form.submit();"></td>
 </tr></table></td>
 </form>';
 
 echo '<td class="table-show"><table border="0" width="100%"><tr>';
 echo '<td class="button-show">' . TEXT_SORT_BY_DATE_HP . '<INPUT TYPE="radio" NAME="sort_by" VALUE="sort_by_date"' . $which_selected[SORT_ID_BY_DATE] . '"></td>';
 echo '<td class="button-show">' . TEXT_SORT_BY_IP_HP . '<INPUT TYPE="radio" NAME="sort_by" VALUE="sort_by_ip"' . $which_selected[SORT_ID_BY_IP] . '"></td>';
 echo '<td class="button-show">' . TEXT_SHOW_MONTH . '<INPUT TYPE="radio" NAME="show_log" VALUE="show_month"' . $which_selected[SORT_ID_BY_MONTH] . '"></td>';
 echo '<td class="button-show">' . TEXT_SHOW_ALL . '<INPUT TYPE="radio" NAME="show_log" VALUE="show_all"' . $which_selected[SORT_ID_BY_ALL] . '"></td>';
 echo '</table></td>';
echo '</tr></table></td></tr>';

echo "</tr></table></td></tr>";
    
echo '<tr><td><div style="width:100%;border:1px solid #5a5a5a;"></div></td></tr>';

$filename = DIR_FS_CATALOG . 'includes/HoneyPot_log';
if (file_exists($filename)) {
    $log = file($filename);
    $log = array_reverse($log); //show most recent first

    if (! empty($which_selected[SORT_ID_BY_IP])) { 
        usort($log, 'SortIP');
    }

    echo '<table border="0" style="margin-top:20px; width:100%"><tr>';
    echo '<td style="text-align:center;">' . TEXT_LOG_VIEWER . '</td>';    
    foreach ($log as $line) {
        echo '<tr><td>' . $line . '</td></tr>';
    }
    echo "</tr></table>";
}
 
require('includes/template_bottom.php');
require('includes/application_bottom.php');
 